# API Documentation

The following are the list of API guides that I have authored.&#x20;

### A. Share Records

In Zoho CRM, we have different levels of data sharing. One of them is record-level data sharing, where the users can share individual records with other users in the organization. The records can be shared with or without the related lists.

#### Share Records API

The following are the list of API guides to the Currencies API in Zoho CRM.&#x20;

| Method | API Name                 | Link                                                                            |
| ------ | ------------------------ | ------------------------------------------------------------------------------- |
| GET    | Get Shared Records       | <https://www.zoho.com/crm/developer/docs/api/v2/get-shared-record-details.html> |
| POST   | Share Records            | <https://www.zoho.com/crm/developer/docs/api/v2/share-record.html>              |
| PUT    | Update Share Permissions | <https://www.zoho.com/crm/developer/docs/api/v2/update-share-permissions.html>  |
| DELETE | Revoke Shared Records    | <https://www.zoho.com/crm/developer/docs/api/v2/revoke-shared-record.html>      |

### B. Currencies

The multi-currency support in Zoho CRM helps you to handle business and transactions in the global market effortlessly. With the multi-currency feature you can:

* Estimate the value of a deal in your home currency as well as in your customer's local currency
* Generate and view any report (with figures in other currencies) in your home currency
* Import reports with figures in multiple currencies

#### Currencies API

The following are the list of API guides to the Currencies API in Zoho CRM.&#x20;

| Method | API Name                | Link                                                                        |
| ------ | ----------------------- | --------------------------------------------------------------------------- |
| POST   | Enable Multi-currency   | <https://www.zoho.com/crm/developer/docs/api/v2/enable-multi-currency.html> |
| GET    | Get Currencies          | <https://www.zoho.com/crm/developer/docs/api/v2/get-currencies-data.html>   |
| POST   | Add Currencies          | <https://www.zoho.com/crm/developer/docs/api/v2/add-currencies.html>        |
| PUT    | Update Home Currency    | <https://www.zoho.com/crm/developer/docs/api/v2/update-home-currency.html>  |
| PUT    | Update Other Currencies | <https://www.zoho.com/crm/developer/docs/api/v2/update-currencies.html>     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://letters4sneha.gitbook.io/sneha-sridharan/writing-samples/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
